Subject: Re: problem with parsing of patch files for patch-id

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Jun 2024 10:05:23 -0700

Rob Linden <[email-masked]> writes:

> This patch (also attached) fixes it by only considering commit hashes
> in a "From xxxxx..." line:

If I am not mistaken, "git patch-id" was designed to read from

    git rev-list ... commit range ... | git diff-tree --stdin -p

where we see

    9005149a4a77e2d3409c6127bf4fd1a0893c3495
    diff --git a/path b/path
    index ...
    ... patch text here ...

so I would suspect that limiting the commit object names only to
those that follow "From " (i.e. the format-patch output or output
with the "--format=email" option) would break existing use cases big
time.